Package org.apache.tomcat.jni

# Interface PasswordCallback

@Deprecated public interface PasswordCallback
Deprecated.
Unused. Will be removed in Tomcat 9.1 an has been removed in Tomcat 10.1.
PasswordCallback Interface

Author:
  Mladen Turk

## Method Summary

Modifier and Type
Method
Description
`String`
`callback(String prompt)`
Deprecated.
Called when the password is required

## Method Details

### callback

String callback(String prompt)
Deprecated.
Called when the password is required

Parameters:
  `prompt` - Password prompt
Returns:
  Valid password or null